List group organization role assignments
GET/organization/groups/{group_id}/roles
Lists the organization roles assigned to a group within the organization.
Path Parameters
group_id: string
Query Parameters
after: optional string
Cursor for pagination. Provide the value from the previous response's next field to continue listing organization roles.
limit: optional number
A limit on the number of organization role assignments to return.
minimum0
maximum1000
Returns
has_more: boolean
Whether additional assignments are available when paginating.
next: string
Cursor to fetch the next page of results, or null when there are no more assignments.
object: "list"
Always list.
List group organization role assignments
curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
-H "Content-Type: application/json"
{
"object": "list",
"data": [
{
"id": "role_01J1F8ROLE01",
"name": "API Group Manager",
"permissions": [
"api.groups.read",
"api.groups.write"
],
"resource_type": "api.organization",
"predefined_role": false,
"description": "Allows managing organization groups",
"created_at": 1711471533,
"updated_at": 1711472599,
"created_by": "user_abc123",
"created_by_user_obj": {
"id": "user_abc123",
"name": "Ada Lovelace",
"email": "ada@example.com"
},
"metadata": {}
}
],
"has_more": false,
"next": null
}
Returns Examples
{
"object": "list",
"data": [
{
"id": "role_01J1F8ROLE01",
"name": "API Group Manager",
"permissions": [
"api.groups.read",
"api.groups.write"
],
"resource_type": "api.organization",
"predefined_role": false,
"description": "Allows managing organization groups",
"created_at": 1711471533,
"updated_at": 1711472599,
"created_by": "user_abc123",
"created_by_user_obj": {
"id": "user_abc123",
"name": "Ada Lovelace",
"email": "ada@example.com"
},
"metadata": {}
}
],
"has_more": false,
"next": null
}